Bug 252384 - cmirror resync slows down when I/O is outstanding to the mirror
cmirror resync slows down when I/O is outstanding to the mirror
Status: CLOSED DEFERRED
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 14:14 EDT by Nate Straz
Modified: 2013-09-23 11:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 11:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2007-08-15 14:14:47 EDT
Cloning off the piece about performance of mirror resync dropping.

+++ This bug was initially created as a clone of Bug #252007 +++

Description of problem:

-- Additional comment from nstraz@redhat.com on 2007-08-13 15:40 EST --
We've run into similar problems with a fresh syncing mirror.  When we do a mkfs
on a not-yet-synced mirror, the mirror sync performance drops.  I did a quick
test now and found that on a 100G mirror with 3 legs (lvcreate -m 2), sync
performance was about 0.9% completion per minute.  After starting a mkfs -t gfs
(which hangs) mirror completion drops to 0.05% per minute.

-- Additional comment from jbrassow@redhat.com on 2007-08-13 15:46 EST --
Cluster mirrors in 4.5 did not have a way to coordinate device resyncing and
nominal I/O.  Therefore, nominal I/O had to be deferred until the regions were
resync'ed - causing excessive delay.  This has been addressed in 4.6.  See bug
238629.
Comment 1 Jonathan Earl Brassow 2007-09-28 11:28:00 EDT
The latest build in 4.6 (>= 9/28/07).  Addresses some of these concerns.  I was
forced to trade consistency for speed, however.  So, things will be faster than
4.5, but I'd like to know what the limitations are.

assigned -> needinfo
Comment 2 Jonathan Earl Brassow 2008-04-02 15:03:13 EDT
needinfo -> assigned

I have a patch ready, but it still needs to be tested.  I borrowed some ideas
from the rhel5 code, which I am using to limit the network traffic while there
is recovery + nominal I/O happening.

Perhaps this patch could make 4.8.
Comment 5 Lon Hohberger 2013-09-23 11:31:26 EDT
The Red Hat Cluster Suite product is past end-of-life; closing.

Note You need to log in before you can comment on or make changes to this bug.